import { CompileEndResult } from '../../../protocol/compile';
import Compile from '../compile';
declare class BlockCompile extends Compile {
    getPackVersion(): "default" | "new";
    start(): Promise<CompileEndResult>;
    get events(): {
        compile: string;
        first: string;
        watch: string;
    } | {
        compile: string;
        first: string;
        watch: string;
    } | {
        compile: string;
        first: string;
        watch: string;
    } | {
        compile: string;
        first: string;
        watch: string;
    };
}
export default BlockCompile;
